.TH EDUKE32 6 "2012-11-18" "" "EDuke32 manual page"
.SH NAME
eduke32 \- Open source enhanced port of the game Duke Nukem 3D
.SH SYNOPSIS
\fBeduke32\fP [\fIoption\fP ...]
.SH DESCRIPTION
\fBEDuke32\fP is a cross-plateform first-person shooter.
.P
It includes several features like the \fBPolymost\fP and \fBPolymer\fP 
renderers, editing functions and scripting extensions for mod authors and 
map makers, full-featured console, Quake-style key bindings, client/server 
based networking with in-game joining (beta) and many others.
.SH OPTIONS
.TP
\fB-?\fP, \fB-help\fP, \fB--help\fP
Print a short help text describing the supported command-line options and exit.
.TP
\fB-\fP\fIslot\fP
Load and run a game from slot (0-9).
.TP
\fB-c\fP\fImode\fP
Use MP mode: 1 = Dukematch, 2 = Coop, 3 = Dukematch(no spawn).
.TP
\fB-cfg\fP \fIcfg_file\fP
Use an alternate configuration file.
.TP
\fB-clipmap\fP \fImap_file\fP
Load an additional clipping map for use with clipshape.
.TP
\fB-connect\fP \fIhost\fP[\fB:\fP\fIport_num\fP]
Connect to a multiplayer game. 'UDP 23513' is the default network port 
to connect. The \fB-port\fP parameter can also be used to specify 
a different number.
.TP
\fB-d\fP\fIedm_file\fP|\fIdemo_number\fP[:\fIframe_per_gametic\fP[,\fIrepeat_time\fP]]
Play a demo. The number of frame by gametic (range 0-8) allows one to start
the demo faster.
.br
e.g., \fBeduke32 -d3:1,8\fP
.br
For 8 repetitions of the demo number 3 at 1 frame per gametic.
.TP
\fB-g\fP\fIfile\fP, \fB-grp\fP \fIfile\fP ...
Use an extra group file (.grp, .zip).
.TP
\fB-h\fP\fIdef_file\fP
Use definitions file.
.TP
\fB-j\fP\fIdir\fP
Add a directory to EDuke32's search list.
.TP
\fB-l\fP\fInum\fP
Warp to level \fInum\fP, see -v.
.TP
\fB-m\fP
Disable monsters.
.TP
\fB-map\fP \fImap_file\fP
Load a map.
.TP
\fB-mh\fP \fIdef_file\fP
Include an additional definitions module.
.TP
\fB-mx\fP \fIcon_file\fP
Include an additional CON script module.
.TP
\fB-nam\fP
Run in NAM compatible mode.
.TP
\fB-napalm\fP
Run in Napalm compatibility mode.
.TP
\fB-port\fP \fIport_num\fP
Specify the network port to use. If defined, it must always precede the 
\fB-connect\fP parameter.
.TP
\fB-r\fP
Record demo.
.TP
\fB-rts\fP \fIrts_file\fP
Load custom Remote Ridicule sound bank.
.TP
\fB-s\fP\fIskill\fP
Set skill level (1-4).
.TP
\fB-server\fP
Start a multiplayer game for other players to join. 'UDP 23513' is the 
default listen port. Use the \fB-port\fP parameter to specify a different
number.
.TP
\fB-setup/-nosetup\fP
Enable/disable the configuration dialog at startup.
.TP
\fB-t\fP\fImode\fP
Set respawn mode: 1 = Monsters, 2 = Items, 3 = Inventory, x = All.
.TP
\fB-u\fP\fIweapons_order\fP
User's favorite weapons order (default: 3425689071).
.TP
\fB-usecwd\fP
Read game data and configuration file from working directory.
.TP
\fB-v\fP\fInum\fP
Warp to volume \fInum\fP, see -l.
.TP
\fB-x\fP\fIcon_file\fP
Load custom CON script.
.TP
\fB-ww2gi\fP
Run in WWII GI compatible mode.
.TP
\fB-debughelp\fP
Display debug parameters and exit.
.SS DEBUG PARAMETERS
.TP
\fB-a\fP
Use fake player AI (fake multiplayer only).
.TP
\fB-cachesize\fP \fIsize\fP
Set cache size, in Kb.
.TP
\fB-condebug\fP, \fB-z\fP\fIlevel\fP
Enable line-by-line CON compile debugging at \fIlevel\fP.
.TP
\fB-conversion\fP \fIYYYYMMDD\fP
Select CON script version for compatibility with older mods.
.TP
\fB-game_dir\fP \fIdir\fP
Duke3d_w32 compatibility option, see -j.
.TP
\fB-gamegrp\fP
Select which file to use as main grp.
.TP
\fB-i\fP\fImode\fP
Use networking mode (1/0).
.TP
\fB-name\fP \fIname\fP
Player name in multiplay.
.TP
\fB-nm\fP
Disable music.
.TP
\fB-noautoload\fP
Disable loading content from autoload dir.
.TP
\fB-nologo\fP
Skip the logo anim.
.TP
\fB-ns\fP
Disable sound.
.TP
\fB-q\fP\fInum\fP
Fake multiplayer with \fInum\fP (2-8) players.
.TP
\fB-w\fP
Show coordinates.
.SS DEPRECATED OPTIONS
.TP
\fB-f\fP\fInum\fP
Send fewer packets in multiplayer (1, 2, 4).
.TP
\fB-nD\fP
Dump default gamevars to gamevars.txt.
.TP
\fB-net\fP
Enable multiplayer.
.TP
\fB-rmnet\fP
Use network config file.
.TP
\fB-stun\fP
Use UDP hole punching for multiplayer connections.
.SH ENVIRONMENT VARIABLES
.TP
.B BUILD_LOGSTDOUT
If set to "TRUE", write standard output and error streams to stdout.txt 
in the current directory.
.TP
.B EDUKE32_MUSIC_CMD
An external command to play back MIDI music. It should accept a MIDI file 
after the command.
.br
Example, 
\fBexport EDUKE32_MUSIC_CMD="fluidsynth\fP \fIasoundfont\fP \fB-a alsa"\fP
.TP
.B SDL_VIDEO_WINDOW_POS
Can be "center" for starting with a screen-centered window.
.SH FILES
.TP
.I duke3d.grp
EDuke32 main data file, contains game art, sounds, music, levels, etc.
It can be installed in a search path to allow the game to find it automatically.
The \fB-gamegrp\fP parameter can be used to specify a different location.
.TP
.I $HOME/.eduke32
Search path and user configuration folder. EDuke32 looks here for game 
data and mods, it also contains the user configuration files, saved games, 
recorded demo files, logs and textures cache.
.TP
.I /usr/share/games/eduke32
System-wide search path. The game looks here for game data.
.SH AUTHORS
See files \fI/usr/share/doc/eduke32/copyright\fP and 
\fI/usr/share/doc/eduke32/THANKS\fP for the list of EDuke32 developers 
and contributors.
.SH SEE ALSO
.BR mapster32 (6)
